IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DATASOURCECONFIG')
CREATE TABLE T_PA_DATASOURCECONFIG
(
    FID               BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER           VARCHAR(30) DEFAULT ' ' NOT NULL,
    FCREATORID        BIGINT      DEFAULT 0   NOT NULL,
    FCREATETIME       DATETIME,
    FMODIFIERID       BIGINT      DEFAULT 0   NOT NULL,
    FMODIFYTIME       DATETIME,
    FSTATUS           CHAR(1)     DEFAULT 'C' NOT NULL,
    FENABLE           CHAR(1)     DEFAULT '1' NOT NULL,
    FMASTERID         BIGINT      DEFAULT 0   NOT NULL,
    FDATASOURCE_TYPE  CHAR(1)     DEFAULT ' ' NOT NULL,
    FENTITY_NUMBER    VARCHAR(36) DEFAULT ' ' NOT NULL,
    FNAME             NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FACCOUNTBOOKSTYPE BIGINT      DEFAULT 0   NOT NULL,
    FENTITYFILTER     NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FENTITYFILTER_TAG NCLOB,
    FISSYSTEM         CHAR(1)     DEFAULT '0' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DATASOURCECONFIG_L')
CREATE TABLE T_PA_DATASOURCECONFIG_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANASYSTEMSETTING')
CREATE TABLE T_PA_ANASYSTEMSETTING
(
    FID          BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER      VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS      CHAR(1)     DEFAULT 'C' NOT NULL,
    FCREATORID   BIGINT      DEFAULT 0   NOT NULL,
    FMODIFIERID  BIGINT      DEFAULT 0   NOT NULL,
    FENABLE      CHAR(1)     DEFAULT '1' NOT NULL,
    FCREATETIME  DATETIME,
    FMODIFYTIME  DATETIME,
    FMASTERID    BIGINT      DEFAULT 0   NOT NULL,
    FMODULERANGE VARCHAR(36) DEFAULT ' ' NOT NULL,
    FNAME        NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FDESCRIBE    NVARCHAR(2000) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANASYSTEMSETTING_L')
CREATE TABLE T_PA_ANASYSTEMSETTING_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSION')
CREATE TABLE T_PA_DIMENSION
(
    FID                BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER            VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS            CHAR(1)     DEFAULT 'C' NOT NULL,
    FENABLE            CHAR(1)     DEFAULT '1' NOT NULL,
    FCREATORID         BIGINT      DEFAULT 0   NOT NULL,
    FCREATETIME        DATETIME,
    FMODIFIERID        BIGINT      DEFAULT 0   NOT NULL,
    FMODIFYTIME        DATETIME,
    FMASTERID          BIGINT      DEFAULT 0   NOT NULL,
    FSYSTEMID          BIGINT      DEFAULT 0   NOT NULL,
    FDIMENSIONTYPE     CHAR(1)     DEFAULT ' ' NOT NULL,
    FDIMENSIONSRCID    VARCHAR(36) DEFAULT ' ' NOT NULL,
    FASSISTANTSOURCEID BIGINT      DEFAULT 0   NOT NULL,
    FISDEFAULT         CHAR(1)     DEFAULT '0' NOT NULL,
    FNAME              NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FTYPEFIELD         VARCHAR(36) DEFAULT ' ' NOT NULL,
    FGROUPTYPE         VARCHAR(36) DEFAULT ' ' NOT NULL,
    FGROUPID           BIGINT      DEFAULT 0   NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSION_L')
CREATE TABLE T_PA_DIMENSION_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONENTRYENTITY')
CREATE TABLE T_PA_DIMENSIONENTRYENTITY
(
    FID          BIGINT       DEFAULT 0   NOT NULL,
    FENTRYID     BIGINT       DEFAULT 0   NOT NULL,
    FSEQ         INT          DEFAULT 0   NOT NULL,
    FFIELDNAME   NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
    FDATATYPE    CHAR(1)      DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASURE')
CREATE TABLE T_PA_MEASURE
(
    FID              BIGINT       DEFAULT 0   NOT NULL,
    FNUMBER          VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSTATUS          CHAR(1)      DEFAULT 'C' NOT NULL,
    FENABLE          CHAR(1)      DEFAULT '1' NOT NULL,
    FCREATORID       BIGINT       DEFAULT 0   NOT NULL,
    FCREATETIME      DATETIME,
    FMODIFIERID      BIGINT       DEFAULT 0   NOT NULL,
    FMODIFYTIME      DATETIME,
    FMASTERID        BIGINT       DEFAULT 0   NOT NULL,
    FSYSTEMID        BIGINT       DEFAULT 0   NOT NULL,
    FMEASURETYPE     CHAR(1)      DEFAULT ' ' NOT NULL,
    FAGGREGATIONTYPE CHAR(1)      DEFAULT ' ' NOT NULL,
    FMEASUREID       BIGINT       DEFAULT 0   NOT NULL,
    FDIMENSIONID     BIGINT       DEFAULT 0   NOT NULL,
    FDIMENSIONATTR   NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDIMENSIONATTRNB VARCHAR(255) DEFAULT ' ' NOT NULL,
    FSITUATIONTYPE   CHAR(1)      DEFAULT '0' NOT NULL,
    FNAME            NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FISDEFAULT       CHAR(1)      DEFAULT '0' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASURE_L')
CREATE TABLE T_PA_MEASURE_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANALYSISMODEL')
CREATE TABLE T_PA_ANALYSISMODEL
(
    FID              BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER          VARCHAR(30) DEFAULT ' ' NOT NULL,
    FCREATORID       BIGINT      DEFAULT 0   NOT NULL,
    FCREATETIME      DATETIME,
    FMODIFIERID      BIGINT      DEFAULT 0   NOT NULL,
    FMODIFYTIME      DATETIME,
    FSTATUS          CHAR(1)     DEFAULT 'C' NOT NULL,
    FENABLE          CHAR(1)     DEFAULT '1' NOT NULL,
    FMASTERID        BIGINT      DEFAULT 0   NOT NULL,
    FDESCRIPTION     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FANALYSIS_SYSTEM BIGINT      DEFAULT 0   NOT NULL,
    FTABLENUMBER     VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTABLENAME       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FPERIODTYPEID    BIGINT      DEFAULT 0   NOT NULL,
    FNAME            NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_ANALYSISMODEL_L')
CREATE TABLE T_PA_ANALYSISMODEL_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONENTRY')
CREATE TABLE T_PA_DIMENSIONENTRY
(
    FENTRYID          BIGINT       DEFAULT 0   NOT NULL,
    FID               BIGINT       DEFAULT 0   NOT NULL,
    FSEQ              INT          DEFAULT 0   NOT NULL,
    FDIMENSION_ID     BIGINT       DEFAULT 0   NOT NULL,
    FFIELD_NAME       NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FFIELD_NUMBER     VARCHAR(255) DEFAULT ' ' NOT NULL,
    FFIELD_NUMBER_TAG NCLOB,
    FNECESSITY_DIM    CHAR(1)      DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASUREENTRY')
CREATE TABLE T_PA_MEASUREENTRY
(
    FENTRYID             BIGINT       DEFAULT 0   NOT NULL,
    FID                  BIGINT       DEFAULT 0   NOT NULL,
    FSEQ                 INT          DEFAULT 0   NOT NULL,
    FMEASURE_ID          BIGINT       DEFAULT 0   NOT NULL,
    FMEASURE_FIELDNAME   NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FMEASURE_FIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGRELATIONSHIP')
CREATE TABLE T_PA_MAPPINGRELATIONSHIP
(
    FID         BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER     VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS     CHAR(1)     DEFAULT 'C' NOT NULL,
    FCREATORID  BIGINT      DEFAULT 0   NOT NULL,
    FMODIFIERID BIGINT      DEFAULT 0   NOT NULL,
    FENABLE     CHAR(1)     DEFAULT '1' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID   BIGINT      DEFAULT 0   NOT NULL,
    FANASYSTEM  BIGINT      DEFAULT 0   NOT NULL,
    FNAME       NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGRELATIONSHIP_L')
CREATE TABLE T_PA_MAPPINGRELATIONSHIP_L
(
    FPKID     VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID       BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MAPPINGENTRY')
CREATE TABLE T_PA_MAPPINGENTRY
(
    FID            BIGINT        DEFAULT 0   NOT NULL,
    FENTRYID       BIGINT        DEFAULT 0   NOT NULL,
    FSEQ           INT           DEFAULT 0   NOT NULL,
    FSOURCEDIMCRC  BIGINT        DEFAULT 0   NOT NULL,
    FSOURCEDIMTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FTARGETDIMTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SOURCEDIMMAPPING')
CREATE TABLE T_PA_SOURCEDIMMAPPING
(
    FPKID       BIGINT DEFAULT 0 NOT NULL,
    FID         BIGINT DEFAULT 0 NOT NULL,
    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_TARGETDIMMAPPING')
CREATE TABLE T_PA_TARGETDIMMAPPING
(
    FPKID       BIGINT DEFAULT 0 NOT NULL,
    FID         BIGINT DEFAULT 0 NOT NULL,
    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SYNCDATASCHEMA')
CREATE TABLE T_PA_SYNCDATASCHEMA
(
    FID              BIGINT      DEFAULT 0   NOT NULL,
    FNUMBER          NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS          CHAR(1)     DEFAULT 'C' NOT NULL,
    FENABLE          CHAR(1)     DEFAULT '1' NOT NULL,
    FCREATORID       BIGINT      DEFAULT 0   NOT NULL,
    FCREATETIME      DATETIME,
    FMODIFIERID      BIGINT      DEFAULT 0   NOT NULL,
    FMODIFYTIME      DATETIME,
    FMASTERID        BIGINT      DEFAULT 0   NOT NULL,
    FMODELID         BIGINT      DEFAULT 0   NOT NULL,
    FANALYSISMODELID BIGINT      DEFAULT 0   NOT NULL,
    FBIZAPPID        VARCHAR(36) DEFAULT ' ' NOT NULL,
    FDATASOURCEID    BIGINT      DEFAULT 0   NOT NULL,
    FNAME            NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FDESCRIPTION     NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SYNCDATASCHEMA_L')
CREATE TABLE T_PA_SYNCDATASCHEMA_L
(
    FPKID        VARCHAR(18) DEFAULT ' ' NOT NULL,
    FID          BIGINT      DEFAULT 0   NOT NULL,
    FLOCALEID    VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME        NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DIMENSIONMAPENTRY')
CREATE TABLE T_PA_DIMENSIONMAPENTRY
(
    FID              BIGINT      DEFAULT 0   NOT NULL,
    FENTRYID         BIGINT      DEFAULT 0   NOT NULL,
    FSEQ             INT         DEFAULT 0   NOT NULL,
    FDIMENSIONID     BIGINT      DEFAULT 0   NOT NULL,
    FDIMENSIONFIELD  VARCHAR(80) DEFAULT ' ' NOT NULL,
    FDIMDEFAULTVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_MEASUREMAPENTRY')
CREATE TABLE T_PA_MEASUREMAPENTRY
(
    FID                  BIGINT          DEFAULT 0   NOT NULL,
    FENTRYID             BIGINT          DEFAULT 0   NOT NULL,
    FSEQ                 INT             DEFAULT 0   NOT NULL,
    FMEASUREID           BIGINT          DEFAULT 0   NOT NULL,
    FMEASUREFIELD        VARCHAR(30)     DEFAULT ' ' NOT NULL,
    FMEASUREDEFAULTVALUE DECIMAL(23, 10) DEFAULT 0   NOT NULL,
    FCONDITIONDESC       NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCONDITION           NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FCONDITION_TAG       NCLOB,
    FSELECTTYPE          CHAR(1)         DEFAULT ' ' NOT NULL
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_SOURCEMODELMAPPING')
CREATE TABLE T_PA_SOURCEMODELMAPPING
(
    FID             BIGINT      DEFAULT 0   NOT NULL,
    FANALYSISMODEL  BIGINT      DEFAULT 0   NOT NULL,
    FMODELTABLEID   BIGINT      DEFAULT 0   NOT NULL,
    FSOURCENUMBER   VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSOURCEENTITYID BIGINT      DEFAULT 0   NOT NULL,
    FCREATETIME     DATETIME
);

IF
NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PA_DETAILSUMMARYMAPPING')
CREATE TABLE T_PA_DETAILSUMMARYMAPPING
(
    FID              BIGINT DEFAULT 0 NOT NULL,
    FANALYSISMODEL   BIGINT DEFAULT 0 NOT NULL,
    FSUMMARYID       BIGINT DEFAULT 0 NOT NULL,
    FDETAILID        BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME      DATETIME,
    FCREATETIMESTAMP BIGINT DEFAULT 0 NOT NULL
);